Index: doc/aubio.txt
===================================================================
--- doc/aubio.txt	(revision 70ab9fef8083bf63535e2a010ae6de356f52c7cd)
+++ doc/aubio.txt	(revision 70ab9fef8083bf63535e2a010ae6de356f52c7cd)
@@ -0,0 +1,135 @@
+NAME
+  aubio - a command line tool to extract information from sound files
+
+SYNOPSIS
+
+  aubio [-h] [-V] <command> ...
+
+COMMANDS
+
+  The general syntax is "aubio <command> <soundfile> [options]". The following
+  commands are available:
+
+  onset        get onset times
+  pitch        extract fundamental frequency
+  beat         get locations of beats
+  tempo        get overall tempo in bpm
+  notes        get midi-like notes
+  mfcc         extract mel-frequency cepstrum coefficients
+  melbands     extract mel-frequency energies per band
+
+  For a list of available commands, use "aubio -h". For more info about each
+  command, use "aubio <command> --help".
+
+GENERAL OPTIONS
+
+  These options can be used before any command has been specified.
+
+  -h, --help  show help message and exit
+
+  -V, --version  show version
+
+COMMON OPTIONS
+
+  The following options can be used with all commands:
+
+  <source_uri>, -i <source_uri>, --input <source_uri>  input sound file to
+  analyse (required)
+
+  -r <freq>, --samplerate <freq>  samplerate at which the file should be
+  represented (default: 0, e.g. samplerate of the input sound)
+
+  -H <size>, --hopsize <size>  overlap size, number of samples between two
+  consecutive analysis (default: 256)
+
+  -B <size>, --bufsize <size>  buffer size, number of samples used for each
+  analysis, (e.g. FFT length, default: 512)
+
+  -h, --help  show help message and exit
+
+  -T format, --time-format format  select time values output format (samples,
+  ms, seconds) (default: seconds)
+
+  -v, --verbose  be verbose (increment verbosity by 1, default: 1)
+
+  -q, --quiet  be quiet (set verbosity to 0)
+
+ONSET
+
+  The following additional options can be used with the "onset" subcommand.
+
+  -m <method>, --method <method>  onset novelty function
+  <default|energy|hfc|complex|phase|specdiff|kl|mkl|specflux> (default:
+  default)
+
+  -t <threshold>, --threshold <threshold>  threshold (default: unset)
+
+  -s <value>, --silence <value>  silence threshold, in dB (default: -70)
+
+  -M <value>, --minioi <value>  minimum Inter-Onset Interval (default: 12ms)
+
+PITCH
+
+  The following additional options can be used with the "pitch" subcommand.
+
+  -m <method>, --method <method>  pitch detection method
+  <default|yinfft|yin|mcomb|fcomb|schmitt> (default: default, e.g. yinfft)
+
+  -t <threshold>, --threshold <threshold>  tolerance (default: unset)
+
+  -s <value>, --silence <value>  silence threshold, in dB (default: -70)
+
+  The default buffer size for the beat algorithm is 2048. The default hop size
+  is 256.
+
+BEAT
+
+  The "beat" command accepts all common options and no additional options.
+
+  The default buffer size for the beat algorithm is 1024. The default hop size
+  is 512.
+
+TEMPO
+
+  The "tempo" command accepts all common options and no additional options.
+
+  The default buffer size for the beat algorithm is 1024. The default hop size
+  is 512.
+
+NOTES
+
+  The "note" command accepts all common options and no additional options.
+
+MFCC
+
+  The "mfcc" command accepts all common options and no additional options.
+
+MELBANDS
+
+  The "melbands" command accepts all common options and no additional options.
+
+EXAMPLES
+
+  Extract onsets using a minimum inter-onset interval of 30ms:
+
+    aubio onset /path/to/input_file -M 30ms
+
+  Extract pitch with method "mcomb" and a silence threshold of -90dB:
+
+    aubio pitch /path/to/input_file -m mcomb -s -90.0
+
+  Extract MFCC using the standard Slaney implementation:
+
+    aubio mfcc /path/to/input_file -r 44100
+
+
+SEE ALSO
+
+  aubiocut(1)
+
+AUTHOR
+
+  This manual page was written by Paul Brossier <piem@aubio.org>. Permission is
+  granted to copy, distribute and/or modify this document under the terms of
+  the GNU General Public License as published by the Free Software Foundation,
+  either version 3 of the License, or (at your option) any later version.