Index: python/demo_filterbank_slaney.py
===================================================================
--- python/demo_filterbank_slaney.py	(revision 26adcfb10b34d9673d5c6bbec5d97c925982bf53)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#! /usr/bin/env python
-
-from aubio import filterbank
-from numpy import array, arange, vstack
-
-win_s = 8192
-samplerate = 16000
-
-f = filterbank(40, win_s)
-f.set_mel_coeffs_slaney(samplerate)
-
-from pylab import loglog, title, show, xlim, ylim, xlabel, ylabel
-xlim([0,samplerate / 2])
-times = vstack([arange(win_s / 2 + 1) * samplerate / win_s] * 40)
-loglog(times.T, f.get_coeffs().T, '.-')
-title('Mel frequency bands coefficients')
-xlim([100, 7500])
-ylim([1.0e-3, 2.0e-2])
-xlabel('Frequency (Hz)')
-ylabel('Amplitude')
-show()
Index: python/demo_filterbank_triangle_bands.py
===================================================================
--- python/demo_filterbank_triangle_bands.py	(revision 26adcfb10b34d9673d5c6bbec5d97c925982bf53)
+++ 	(revision )
@@ -1,47 +1,0 @@
-#! /usr/bin/env python
-
-from aubio import filterbank, fvec
-from pylab import loglog, show, subplot, xlim, ylim, xlabel, ylabel, title
-from numpy import vstack, arange
-
-win_s = 2048
-samplerate = 48000
-
-freq_list = [60, 80, 200, 400, 800, 1600, 3200, 6400, 12800, 24000]
-n_filters = len(freq_list) - 2
-
-f = filterbank(n_filters, win_s)
-freqs = fvec(freq_list)
-f.set_triangle_bands(freqs, samplerate)
-
-subplot(211)
-title('Examples of filterbank built with set_triangle_bands and set_coeffs')
-times = vstack([arange(win_s / 2 + 1) * samplerate / win_s] * n_filters)
-loglog(times.T, f.get_coeffs().T, '.-')
-xlim([50, samplerate/2])
-ylim([1.0e-6, 2.0e-2])
-ylabel('Amplitude')
-
-## build a new filterbank
-
-freq_list = [60, 80, 200, 400, 800, 1200, 1600, 3200, 6400, 10000, 15000, 24000]
-n_filters = len(freq_list) - 2
-
-f = filterbank(n_filters, win_s)
-freqs = fvec(freq_list)
-f.set_triangle_bands(freqs, samplerate)
-
-coeffs = f.get_coeffs()
-coeffs[4] *= 5.
-
-f.set_coeffs(coeffs)
-
-subplot(212)
-times = vstack([arange(win_s / 2 + 1) * samplerate / win_s] * n_filters)
-loglog(times.T, f.get_coeffs().T, '.-')
-xlim([50, samplerate/2])
-ylim([1.0e-6, 2.0e-2])
-xlabel('Frequency (Hz)')
-ylabel('Amplitude')
-
-show()
Index: python/demos/demo_filterbank_slaney.py
===================================================================
--- python/demos/demo_filterbank_slaney.py	(revision 72db1cfb12b6344f5765233bc2d6e15a53adf4ef)
+++ python/demos/demo_filterbank_slaney.py	(revision 72db1cfb12b6344f5765233bc2d6e15a53adf4ef)
@@ -0,0 +1,21 @@
+#! /usr/bin/env python
+
+from aubio import filterbank
+from numpy import array, arange, vstack
+
+win_s = 8192
+samplerate = 16000
+
+f = filterbank(40, win_s)
+f.set_mel_coeffs_slaney(samplerate)
+
+from pylab import loglog, title, show, xlim, ylim, xlabel, ylabel
+xlim([0,samplerate / 2])
+times = vstack([arange(win_s / 2 + 1) * samplerate / win_s] * 40)
+loglog(times.T, f.get_coeffs().T, '.-')
+title('Mel frequency bands coefficients')
+xlim([100, 7500])
+ylim([1.0e-3, 2.0e-2])
+xlabel('Frequency (Hz)')
+ylabel('Amplitude')
+show()
Index: python/demos/demo_filterbank_triangle_bands.py
===================================================================
--- python/demos/demo_filterbank_triangle_bands.py	(revision 72db1cfb12b6344f5765233bc2d6e15a53adf4ef)
+++ python/demos/demo_filterbank_triangle_bands.py	(revision 72db1cfb12b6344f5765233bc2d6e15a53adf4ef)
@@ -0,0 +1,47 @@
+#! /usr/bin/env python
+
+from aubio import filterbank, fvec
+from pylab import loglog, show, subplot, xlim, ylim, xlabel, ylabel, title
+from numpy import vstack, arange
+
+win_s = 2048
+samplerate = 48000
+
+freq_list = [60, 80, 200, 400, 800, 1600, 3200, 6400, 12800, 24000]
+n_filters = len(freq_list) - 2
+
+f = filterbank(n_filters, win_s)
+freqs = fvec(freq_list)
+f.set_triangle_bands(freqs, samplerate)
+
+subplot(211)
+title('Examples of filterbank built with set_triangle_bands and set_coeffs')
+times = vstack([arange(win_s / 2 + 1) * samplerate / win_s] * n_filters)
+loglog(times.T, f.get_coeffs().T, '.-')
+xlim([50, samplerate/2])
+ylim([1.0e-6, 2.0e-2])
+ylabel('Amplitude')
+
+## build a new filterbank
+
+freq_list = [60, 80, 200, 400, 800, 1200, 1600, 3200, 6400, 10000, 15000, 24000]
+n_filters = len(freq_list) - 2
+
+f = filterbank(n_filters, win_s)
+freqs = fvec(freq_list)
+f.set_triangle_bands(freqs, samplerate)
+
+coeffs = f.get_coeffs()
+coeffs[4] *= 5.
+
+f.set_coeffs(coeffs)
+
+subplot(212)
+times = vstack([arange(win_s / 2 + 1) * samplerate / win_s] * n_filters)
+loglog(times.T, f.get_coeffs().T, '.-')
+xlim([50, samplerate/2])
+ylim([1.0e-6, 2.0e-2])
+xlabel('Frequency (Hz)')
+ylabel('Amplitude')
+
+show()