Index: interfaces/python/test_aubio.py
===================================================================
--- interfaces/python/test_aubio.py	(revision 66e69340e6b60bd51c09ffddcd2e166373d18374)
+++ interfaces/python/test_aubio.py	(revision 75e715f14623899346b7c0d142ca6a32cec1675c)
@@ -1,3 +1,3 @@
-#! /usr/bin/python
+#! /usr/bin/env python
 
 from numpy.testing import TestCase, run_module_suite
Index: interfaces/python/test_fft.py
===================================================================
--- interfaces/python/test_fft.py	(revision 66e69340e6b60bd51c09ffddcd2e166373d18374)
+++ interfaces/python/test_fft.py	(revision 75e715f14623899346b7c0d142ca6a32cec1675c)
@@ -1,3 +1,3 @@
-#! /usr/bin/python
+#! /usr/bin/env python
 
 from numpy.testing import TestCase, run_module_suite
Index: interfaces/python/test_filter.py
===================================================================
--- interfaces/python/test_filter.py	(revision 66e69340e6b60bd51c09ffddcd2e166373d18374)
+++ interfaces/python/test_filter.py	(revision 75e715f14623899346b7c0d142ca6a32cec1675c)
@@ -1,3 +1,3 @@
-#! /usr/bin/python
+#! /usr/bin/env python
 
 from numpy.testing import TestCase, assert_equal, assert_almost_equal
Index: interfaces/python/test_filterbank.py
===================================================================
--- interfaces/python/test_filterbank.py	(revision 66e69340e6b60bd51c09ffddcd2e166373d18374)
+++ interfaces/python/test_filterbank.py	(revision 75e715f14623899346b7c0d142ca6a32cec1675c)
@@ -1,3 +1,3 @@
-#! /usr/bin/python
+#! /usr/bin/env python
 
 from numpy.testing import TestCase, run_module_suite
Index: interfaces/python/test_filterbank_mel.py
===================================================================
--- interfaces/python/test_filterbank_mel.py	(revision 66e69340e6b60bd51c09ffddcd2e166373d18374)
+++ interfaces/python/test_filterbank_mel.py	(revision 75e715f14623899346b7c0d142ca6a32cec1675c)
@@ -1,3 +1,3 @@
-#! /usr/bin/python
+#! /usr/bin/env python
 
 from numpy.testing import TestCase, run_module_suite
Index: interfaces/python/test_fvec.py
===================================================================
--- interfaces/python/test_fvec.py	(revision 66e69340e6b60bd51c09ffddcd2e166373d18374)
+++ interfaces/python/test_fvec.py	(revision 75e715f14623899346b7c0d142ca6a32cec1675c)
@@ -1,3 +1,3 @@
-#! /usr/bin/python
+#! /usr/bin/env python
 
 from numpy.testing import TestCase, run_module_suite
Index: interfaces/python/test_onset.py
===================================================================
--- interfaces/python/test_onset.py	(revision 66e69340e6b60bd51c09ffddcd2e166373d18374)
+++ interfaces/python/test_onset.py	(revision 75e715f14623899346b7c0d142ca6a32cec1675c)
@@ -1,3 +1,3 @@
-#! /usr/bin/python
+#! /usr/bin/env python
 
 from numpy.testing import TestCase, run_module_suite
Index: interfaces/python/test_peakpicker.py
===================================================================
--- interfaces/python/test_peakpicker.py	(revision 66e69340e6b60bd51c09ffddcd2e166373d18374)
+++ interfaces/python/test_peakpicker.py	(revision 75e715f14623899346b7c0d142ca6a32cec1675c)
@@ -1,3 +1,3 @@
-#! /usr/bin/python
+#! /usr/bin/env python
 
 from numpy.testing import TestCase, assert_equal, assert_almost_equal
Index: interfaces/python/test_phasevoc.py
===================================================================
--- interfaces/python/test_phasevoc.py	(revision 66e69340e6b60bd51c09ffddcd2e166373d18374)
+++ interfaces/python/test_phasevoc.py	(revision 75e715f14623899346b7c0d142ca6a32cec1675c)
@@ -1,3 +1,3 @@
-#! /usr/bin/python
+#! /usr/bin/env python
 
 from numpy.testing import TestCase, run_module_suite
Index: interfaces/python/test_pitch.py
===================================================================
--- interfaces/python/test_pitch.py	(revision 66e69340e6b60bd51c09ffddcd2e166373d18374)
+++ interfaces/python/test_pitch.py	(revision 75e715f14623899346b7c0d142ca6a32cec1675c)
@@ -1,3 +1,3 @@
-#! /usr/bin/python
+#! /usr/bin/env python
 
 from numpy.testing import TestCase
Index: interfaces/python/test_source.py
===================================================================
--- interfaces/python/test_source.py	(revision 66e69340e6b60bd51c09ffddcd2e166373d18374)
+++ interfaces/python/test_source.py	(revision 75e715f14623899346b7c0d142ca6a32cec1675c)
@@ -1,3 +1,3 @@
-#! /usr/bin/python
+#! /usr/bin/env python
 
 from numpy.testing import TestCase, assert_equal, assert_almost_equal
Index: interfaces/python/test_specdesc.py
===================================================================
--- interfaces/python/test_specdesc.py	(revision 66e69340e6b60bd51c09ffddcd2e166373d18374)
+++ interfaces/python/test_specdesc.py	(revision 75e715f14623899346b7c0d142ca6a32cec1675c)
@@ -1,3 +1,3 @@
-#! /usr/bin/python
+#! /usr/bin/env python
 
 from numpy.testing import TestCase, assert_equal, assert_almost_equal